升级Ubuntu 12.04下的gcc & g++到4.8

Ubuntu12.04默认的是使用gcc4.6,而只有gcc4.7以上才支持C++11,使用如下办法升级Ubuntu 12.04下的gcc :

更新Ubuntu源
sudo add-apt-repository ppa:ubuntu-toolchain-r/test
sudo apt-get update
sudo apt-get install gcc-4.8
sudo apt-get install g++-4.8

升级完成使用gcc –version 显示版本依然是4.6.3,需要改变gcc软链接文件,来把4.8版设置为默认:
cd /usr/bin
sudo ln -sf gcc-4.8 gcc
sudo ln -sf g++-4.8 g++

一条评论

  1. 乐享资源网说道:

    再次拜访,表示极大的支持

留下评论